import 'package:flutter/material.dart';
import 'package:flutterx_live_data/flutterx_live_data.dart';

class FrameCallbackEvent extends LiveEvent<Duration> {
  static final FrameCallbackEvent instance = FrameCallbackEvent._();
  bool _registered = false;

  FrameCallbackEvent._() : super(dispatcher: Dispatcher.immediate);

  @override
  void onActive() {
    super.onActive();
    if (_registered) return;
    WidgetsBinding.instance!.addPersistentFrameCallback(setData);
    _registered = true;
  }
}
